[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[libvirt] [PATCH] build: skip xenapi driver when building for RHEL



https://bugzilla.redhat.com/show_bug.cgi?id=643118

* libvirt.spec.in: Provide xenapi conditionals.
---

Hmm - there's probably other things we could do to sync libvirt.spec.in
back with RHEL builds; for example, the fact that RHEL 6.0 beta builds
ESX by default needs to be updated here.

 libvirt.spec.in |   10 +++++++++-
 1 files changed, 9 insertions(+), 1 deletions(-)

diff --git a/libvirt.spec.in b/libvirt.spec.in
index a58be54..e8126b4 100644
--- a/libvirt.spec.in
+++ b/libvirt.spec.in
@@ -37,6 +37,7 @@
 %define with_lxc           0%{!?_without_lxc:%{server_drivers}}
 %define with_vbox          0%{!?_without_vbox:%{server_drivers}}
 %define with_uml           0%{!?_without_uml:%{server_drivers}}
+%define with_xenapi        0%{!?_without_xenapi:%{server_drivers}}
 # XXX this shouldn't be here, but it mistakenly links into libvirtd
 %define with_one           0%{!?_without_one:%{server_drivers}}

@@ -83,7 +84,8 @@
 %define with_numactl 0
 %endif

-# RHEL doesn't ship OpenVZ, VBox, UML, OpenNebula, PowerHypervisor or ESX
+# RHEL doesn't ship OpenVZ, VBox, UML, OpenNebula, PowerHypervisor, ESX,
+# or libxenserver (xenapi)
 %if 0%{?rhel}
 %define with_openvz 0
 %define with_vbox 0
@@ -91,6 +93,7 @@
 %define with_one 0
 %define with_phyp 0
 %define with_esx 0
+%define with_xenapi 0
 %endif

 # RHEL-5 has restricted QEMU to x86_64 only and is too old for LXC
@@ -445,6 +448,10 @@ of recent versions of Linux (and other OSes).
 %define _without_vbox --without-vbox
 %endif

+%if ! %{with_xenapi}
+%define _without_xenapi --without-xenapi
+%endif
+
 %if ! %{with_sasl}
 %define _without_sasl --without-sasl
 %endif
@@ -550,6 +557,7 @@ of recent versions of Linux (and other OSes).
            %{?_without_openvz} \
            %{?_without_lxc} \
            %{?_without_vbox} \
+           %{?_without_xenapi} \
            %{?_without_sasl} \
            %{?_without_avahi} \
            %{?_without_polkit} \
-- 
1.7.2.3


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]